import { IsNotEmpty, IsString } from 'class-validator';

export class DeviceDto {
  @IsString()
  @IsNotEmpty()
  public uuid: string;

  @IsString()
  @IsNotEmpty()
  spaceUuid: string;

  @IsString()
  @IsNotEmpty()
  userUuid: string;

  @IsString()
  @IsNotEmpty()
  deviceTuyaUuid: string;

  @IsString()
  @IsNotEmpty()
  productUuid: string;
}
