import { DataSource, Repository } from 'typeorm';
import { Injectable } from '@nestjs/common';
import { SpaceEntity } from '../entities/space.entity';

@Injectable()
export class SpaceRepository extends Repository<SpaceEntity> {
  constructor(private dataSource: DataSource) {
    super(SpaceEntity, dataSource.createEntityManager());
  }
}
