import { IsBoolean, IsNotEmpty, IsString } from 'class-validator';

export class UserNotificationDto {
  @IsString()
  @IsNotEmpty()
  public uuid: string;

  @IsString()
  @IsNotEmpty()
  public userUuid: string;

  @IsString()
  @IsNotEmpty()
  public subscriptionUuid: string;

  @IsBoolean()
  @IsNotEmpty()
  public active: boolean;
}
