export interface GetDeviceDetailsInterface {
  activeTime: number;
  assetId: string;
  category: string;
  categoryName: string;
  createTime: number;
  gatewayId: string;
  icon: string;
  id: string;
  ip: string;
  lat: string;
  localKey: string;
  lon: string;
  model: string;
  name: string;
  nodeId: string;
  online: boolean;
  productId?: string;
  productName?: string;
  sub: boolean;
  timeZone: string;
  updateTime: number;
  uuid: string;
  productType: string;
  productUuid: string;
}

export interface addDeviceInRoomInterface {
  success: boolean;
  msg: string;
  result: boolean;
}

export interface controlDeviceInterface {
  success: boolean;
  result: boolean;
  msg: string;
}
export interface GetDeviceDetailsFunctionsInterface {
  result: {
    category: string;
    functions: [];
  };
  success: boolean;
  msg: string;
}
export interface GetDeviceDetailsFunctionsStatusInterface {
  result: [{ id: string; status: [] }];
  success: boolean;
  msg: string;
}

export interface DeviceInstructionResponse {
  productUuid: string;
  productType: string;
  functions: {
    code: string;
    values: any[];
    dataType: string;
  }[];
}
export interface updateDeviceFirmwareInterface {
  success: boolean;
  result: boolean;
  msg: string;
}
