import { ApiProperty } from '@nestjs/swagger';
import { IsNotEmpty, IsString } from 'class-validator';

export class UpdateDoorLockOfflineTempDto {
  @ApiProperty({
    description: 'name',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public name: string;
}
