import { DataSource, Repository } from 'typeorm';
import { Injectable } from '@nestjs/common';
import { DeviceNotificationEntity } from '../entities';

@Injectable()
export class DeviceNotificationRepository extends Repository<DeviceNotificationEntity> {
  constructor(private dataSource: DataSource) {
    super(DeviceNotificationEntity, dataSource.createEntityManager());
  }
}
