import { IsNotEmpty, IsString } from 'class-validator';

export class DeviceUserPermissionDto {
  @IsString()
  @IsNotEmpty()
  public uuid: string;

  @IsString()
  @IsNotEmpty()
  public userUuid: string;

  @IsString()
  @IsNotEmpty()
  public deviceUuid: string;

  @IsString()
  @IsNotEmpty()
  public permissionTypeUuid: string;
}
