import { DataSource, Repository } from 'typeorm';
import { Injectable } from '@nestjs/common';
import { DeviceUserPermissionEntity } from '../entities';

@Injectable()
export class DeviceUserPermissionRepository extends Repository<DeviceUserPermissionEntity> {
  constructor(private dataSource: DataSource) {
    super(DeviceUserPermissionEntity, dataSource.createEntityManager());
  }
}
