import { DataSource, Repository } from 'typeorm';
import { Injectable } from '@nestjs/common';
import { SpaceTypeEntity } from '../entities/space.type.entity';

@Injectable()
export class SpaceTypeRepository extends Repository<SpaceTypeEntity> {
  constructor(private dataSource: DataSource) {
    super(SpaceTypeEntity, dataSource.createEntityManager());
  }
}
