import { DataSource, Repository } from 'typeorm';
import { Injectable } from '@nestjs/common';
import { UserNotificationEntity } from '../entities';

@Injectable()
export class UserNotificationRepository extends Repository<UserNotificationEntity> {
  constructor(private dataSource: DataSource) {
    super(UserNotificationEntity, dataSource.createEntityManager());
  }
}
