import { IsNotEmpty, IsString } from 'class-validator';

export class UserSpaceDto {
  @IsString()
  @IsNotEmpty()
  public uuid: string;

  @IsString()
  @IsNotEmpty()
  public spaceUuid: string;

  @IsString()
  @IsNotEmpty()
  public userUuid: string;
}
