import { DataSource, Repository } from 'typeorm';
import { Injectable } from '@nestjs/common';
import { UserSpaceEntity } from '../entities/user.space.entity';

@Injectable()
export class UserSpaceRepository extends Repository<UserSpaceEntity> {
  constructor(private dataSource: DataSource) {
    super(UserSpaceEntity, dataSource.createEntityManager());
  }
}
