import { ApiProperty } from '@nestjs/swagger';
import { IsNotEmpty, IsString } from 'class-validator';

export class AddDeviceDto {
  @ApiProperty({
    description: 'deviceTuyaUuid',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public deviceTuyaUuid: string;

  @ApiProperty({
    description: 'userUuid',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public userUuid: string;
}
export class UpdateDeviceInRoomDto {
  @ApiProperty({
    description: 'deviceUuid',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public deviceUuid: string;

  @ApiProperty({
    description: 'roomUuid',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public roomUuid: string;
}
