import { ApiProperty } from '@nestjs/swagger';
import { IsNotEmpty, IsString } from 'class-validator';

export class ControlDeviceDto {
  @ApiProperty({
    description: 'code',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public code: string;
  @ApiProperty({
    description: 'value',
    required: true,
  })
  @IsNotEmpty()
  public value: any;
}
