import { PermissionType } from '@app/common/constants/permission-type.enum';
import { ApiProperty } from '@nestjs/swagger';
import { IsEnum } from 'class-validator';

export class UserDevicePermissionEditDto {
  @ApiProperty({
    description: 'permission type',
    enum: PermissionType,
    required: true,
  })
  @IsEnum(PermissionType)
  permissionType: PermissionType;
}
